"""
Module containing concordia_class_search exceptions.
"""


class InvalidTerm(ValueError):
    """Invalid term passed as argument."""


class InvalidCareer(ValueError):
    """Invalid career passed as argument."""


class InvalidSubject(ValueError):
    """Invalid subject passed as argument."""


class TooManySections(ValueError):
    """Over max limit of sections."""


class NoResults(ValueError):
    """Search returns no results."""


class UnknownError(ValueError):
    """Unknown class search error."""
